> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truestate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign Or Create Account And Org



## OpenAPI

````yaml https://api.truestate.io/openapi.json post /organisations/auto/
openapi: 3.1.0
info:
  title: TrueState Backend API
  summary: >-
    TrueState is an AI platform for business users to create high-impact AI
    solutions.
  description: >

    This **[TrueState](https://www.truestate.io/)** backend API allows our
    clients to automate and more powerfully retrieve and modify data from the
    TrueState platform.


    Example use cases include:


    - Accessing embeddings for a dataset.

    - Automating the process of dataset creation and model retraining as your
    data changes.

    - Much more.


    Our backend is built using the [FastAPI](https://fastapi.tiangolo.com/)
    framework in python

    using [Auth0](https://auth0.com/) and [Client API
    Keys](https://www.truestate.io/dawn/docs) for internal an external
    authentication, respectively.

    Our backend is designed to be secure, scalable, easy to use and well
    documented _(each router with its own linked docs page)_.

    Clients can only access data from their own organisation, as setup in Auth0
    our the Client API Keys. See how
    **[here](https://www.truestate.io/dawn/docs)**.


    **PS**: You can view this API documentation in either
    **[Swagger](swagger/docs)** or **[Redoc](redoc/)**, but only the swagger
    lets you test calls.
  contact:
    name: True State Support
    url: https://www.truestate.io/dawn/docs
    email: support@truestate.io
  license:
    name: Private
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 0.13.95
servers: []
security: []
paths:
  /organisations/auto/:
    post:
      tags:
        - organisations
      summary: Assign Or Create Account And Org
      operationId: assign_or_create_account_and_org_organisations_auto__post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganisationRead'
        '404':
          description: Not found
      security:
        - HTTPBearer: []
components:
  schemas:
    OrganisationRead:
      properties:
        email:
          type: string
          title: Email
        name:
          type: string
          title: Name
        image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Url
        id:
          type: string
          title: Id
        members:
          items:
            $ref: '#/components/schemas/MemberRead'
          type: array
          title: Members
        subscription_tier:
          anyOf:
            - $ref: '#/components/schemas/SubscriptionTier'
            - type: 'null'
        max_member_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Member Limit
        credit_checks_enabled:
          type: boolean
          title: Credit Checks Enabled
        has_plan:
          type: boolean
          title: Has Plan
        default_llm_xhigh_effort_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Default Llm Xhigh Effort Enabled
        remote_gpu_enabled:
          type: boolean
          title: Remote Gpu Enabled
          default: false
        env_alias:
          anyOf:
            - type: string
            - type: 'null'
          title: Env Alias
        created_at:
          type: string
          format: date-time
          title: Created At
        trial_expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Trial Expires At
          readOnly: true
        trial_days_remaining:
          anyOf:
            - type: integer
            - type: 'null'
          title: Trial Days Remaining
          readOnly: true
      type: object
      required:
        - email
        - name
        - image_url
        - id
        - members
        - subscription_tier
        - max_member_limit
        - credit_checks_enabled
        - has_plan
        - env_alias
        - created_at
        - trial_expires_at
        - trial_days_remaining
      title: OrganisationRead
    MemberRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user:
          $ref: '#/components/schemas/UserRead'
        role_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Role Id
        role_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Role Name
        group_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Group Id
        group_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Group Name
        higher_env_organisation_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Higher Env Organisation Id
        higher_env_role_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Higher Env Role Name
      type: object
      required:
        - id
        - user
      title: MemberRead
    SubscriptionTier:
      type: string
      enum:
        - TRIAL
        - STARTER
        - PRO
        - SCALE
        - ENTERPRISE
      title: SubscriptionTier
    UserRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        email:
          type: string
          title: Email
      type: object
      required:
        - id
        - name
        - email
      title: UserRead
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````